### Method

# Clutter Path get_nodes

#### Declaration [src]

    GSList*
    clutter_path_get_nodes (
      ClutterPath* path
    )

#### Description [src]

Returns a `GSList` of `ClutterPathNode`s.

The list should be freed with g_slist_free(). The nodes are owned by the path and should not be freed. Altering the path may cause the nodes in the list to become invalid so you should copy them if you want to keep the list.

#### Return value

Type: A list of `const ClutterPathNode*`

A list of nodes in the path.

The caller of the method takes ownership of the data container, but not the data inside it.